#ifndef FLU_H
#define FLU_H

#include <QWidget>
#include <QVBoxLayout>
#include <QLabel>
#include "global/corevar.h"
#include <QGSettings/QGSettings>
class flu : public QWidget
{
    Q_OBJECT
public:
    explicit flu(QWidget *parent = nullptr);
    void setItemContent(QString text);
    void isFullScreen(int);
    int m_judgeFullScreen;

private:
    QVBoxLayout *m_fluLayout;
    QLabel *m_fluIcon;
    QLabel *m_str;
    QLabel *m_degree;
    QString flupath = ":/res/contorl_icons/index_flu.png";

    void initLayout();
    void initQss(double);
    void lable2SetFontSizeSlot(int size);
    QGSettings *m_fontSize = nullptr;

signals:
};

#endif // FLU_H
